import 'package:flutter/material.dart';
import 'package:healthcare_user/common/settings.dart';

class GetQuotationsRequsetListModel {
  String pharmacy_name = '';
  String customer_id = '';
  String patient_name = '';
  double patient_age =0;
  String patient_gender = '';
  String patient_address = '';
  String status='';
  String picture='';
  String contact_number='';
  String pharmacy_address='';
  String pharmacy_id='';
  String registration_number='';
  String description='';
  String starting_price='';
  Color text_color=Colors.black;
  double lat=0;
  double lng=0;
  bool isChecked=false;
  bool isPharmacyInDialogChecked=false;

  GetQuotationsRequsetListModel();

  factory GetQuotationsRequsetListModel.fromJson(Map<String, dynamic> json){
    GetQuotationsRequsetListModel rtvm = new GetQuotationsRequsetListModel();

    rtvm.customer_id = json['customerId'] ?? '';
    rtvm.patient_name= json['user']['familyDetails']['patient_name']??'';
    rtvm.patient_age= json['user']['familyDetails']['patient_age']??0;
    rtvm.patient_gender= json['user']['familyDetails']['patient_gender']??'';
    rtvm.patient_address= json['user']['familyDetails']['patient_address']??'';

    return rtvm;
  }

}